<ion-header [translucent]="true">
  <ion-toolbar>
    <ion-title>
      Appgain SDK
    </ion-title>
  </ion-toolbar>
</ion-header>

<ion-content class="ion-padding">

  <div id="container">

    Ready to text Appgain with Ionic?


    <ion-button (click)="initSDK()" shape="round" color="dark" style="margin-top: 10%;">
      INITIALIZE
    </ion-button>
    <br>

    <ion-button (click)="getuserId()" large shape="round" color="dark">
      GET USER ID
    </ion-button>
    <br>


    <ion-button (click)="matchLink()" large shape="round" color="dark">
      MATCH LINK
    </ion-button>
    <br>


    <ion-button (click)="fireAutomatorWithPers()" style="font-size: 12px;" shape="round" color="dark">
      FIRE AUTOMATOR WITH PERSONALIZATION
    </ion-button>

    <br>

    <ion-button (click)="fireAutomator()" large shape="round" color="dark">
      FIRE AUTOMATOR
    </ion-button>

    <br>

    <ion-button (click)="addPurchase()" large shape="round" color="dark">
      ADD PURCHASE
    </ion-button>
    <br>


    <ion-button (click)="addemailChannel()" large shape="round" color="dark">
      ADD EMAIL CHANNEL
    </ion-button>

    <br>

    <ion-button (click)="addSMSChannel()" large shape="round" color="dark">
      ADD SMS CHANNEL
    </ion-button>

    <br>

    <ion-button (click)="updateuser()" large shape="round" color="dark">
      UPDATE USER
    </ion-button>
    <br>


    <ion-button (click)="logevent()" large shape="round" color="dark">
      LOG EVENT
    </ion-button>


  </div>
</ion-content>